btllib

Public Member Functions | Public Attributes | List of all members
btllib::OrderQueue< T >::Slot Struct Reference

## Public Member Functions
| Slot (size_t block_size)
| Slot (const Slot &slot)
| Slot (Slot &&slot) noexcept
Slot & | operator= (const Slot &slot)
Slot & | operator= (Slot &&slot) noexcept

## Public Attributes
OrderQueue< T >::Block | block
std::mutex | busy
bool | occupied = false
std::condition_variable | occupancy_changed
size_t | last_tenant = -1

The documentation for this struct was generated from the following file:

- include/btllib/order_queue.hpp